local Recipe = GLOBAL.Recipe
local RECIPETABS = GLOBAL.RECIPETABS
local Ingredient = GLOBAL.Ingredient
local TECH = GLOBAL.TECH

PrefabFiles = {
	"otus",
	"teleporter",
	"owlcloak",
	"hat_geddy",
	"hat_alphonse",
	"hat_twig",
	"spectrecloak",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/otus.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/otus.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/otus.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/otus.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/otus_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/otus_silho.xml" ),

    Asset( "IMAGE", "bigportraits/otus.tex" ),
    Asset( "ATLAS", "bigportraits/otus.xml" ),
	
	Asset( "IMAGE", "images/map_icons/otus.tex" ),
	Asset( "ATLAS", "images/map_icons/otus.xml" ),
	
	Asset("SOUNDPACKAGE", "sound/otus.fev"),
    Asset("SOUND", "sound/otus.fsb"),
	
	Asset("IMAGE", "images/map_icons/teleporter.tex"),	
	Asset("ATLAS", "images/map_icons/teleporter.xml"),
	
	Asset("IMAGE", "images/map_icons/owlcloak.tex"),	
	Asset("ATLAS", "images/map_icons/owlcloak.xml"),
	
	Asset("IMAGE", "images/map_icons/spectrecloak.tex"),	
	Asset("ATLAS", "images/map_icons/spectrecloak.xml"),	

}
	RemapSoundEvent( "dontstarve/characters/otus/death_voice", "otus/otus/death_voice" )
	RemapSoundEvent( "dontstarve/characters/otus/hurt", "otus/otus/hurt" )
	RemapSoundEvent( "dontstarve/characters/otus/talk_LP", "otus/otus/talk_LP" )

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

-- The character select screen lines
STRINGS.CHARACTER_TITLES.otus = "The Owlboy"
STRINGS.CHARACTER_NAMES.otus = "Otus"
STRINGS.CHARACTER_DESCRIPTIONS.otus = "*Equipped with ancient owl technology\n*Faster on a full stomach\n*Can't talk, is weak but brave"
STRINGS.CHARACTER_QUOTES.otus = "\"...\""

-- Custom speech strings
STRINGS.CHARACTERS.OTUS = require "speech_otus"

-- Let the game know character is male, female, or robot
table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "otus")

AddMinimapAtlas("images/map_icons/teleporter.xml")
AddMinimapAtlas("images/map_icons/owlcloak.xml")
AddMinimapAtlas("images/map_icons/spectrecloak.xml")
AddMinimapAtlas("images/map_icons/otus.xml")
AddModCharacter("otus")

-- Item Strings
STRINGS.NAMES.TELEPORTER = "Teleporter"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.TELEPORTER = "...?"

STRINGS.NAMES.HAT_GEDDY = "Dorky Hat"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.HAT_GEDDY = "..."

STRINGS.NAMES.HAT_ALPHONSE = "Gallant Hat"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.HAT_ALPHONSE = "..."

STRINGS.NAMES.HAT_TWIG = "Woolen Hat"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.HAT_TWIG = "..."

STRINGS.NAMES.OWLCLOAK = "Owl Cloak"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.OWLCLOAK = "..."

STRINGS.NAMES.SPECTRECLOAK = "Spectre Cloak"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.SPECTRECLOAK = "..."



