local assets=
{ 
    Asset("ANIM", "anim/hat_alphonse.zip"),
    Asset("ANIM", "anim/hat_alphonse_swap.zip"), 

    Asset("ATLAS", "images/inventoryimages/hat_alphonse.xml"),
    Asset("IMAGE", "images/inventoryimages/hat_alphonse.tex"),
}

local prefabs = 
{
}

local function fn()
    local function OnEquip(inst, owner) 
        owner.AnimState:OverrideSymbol("swap_hat", "hat_alphonse_swap", "swap_hat")
        owner.AnimState:Show("HAT")
        owner.AnimState:Show("HAT_HAIR")
        owner.AnimState:Hide("HAIR_NOHAT")
        owner.AnimState:Hide("HAIR")
		if inst.components.fueled then
			inst.components.fueled:StartConsuming()
		end				
        if owner:HasTag("player") then
            owner.AnimState:Hide("HEAD")
            owner.AnimState:Show("HEAD_HAIR")
			
			--map reveal bonus when equipped
		if IsDLCEnabled(CAPY_DLC) then		
			owner.components.farseer:AddBonus("hat_alphonse", TUNING.MAPREVEAL_PIRATEHAT_BONUS)
			end
        end
    end

    local function OnUnequip(inst, owner) 
        owner.AnimState:Hide("HAT")
        owner.AnimState:Hide("HAT_HAIR")
        owner.AnimState:Show("HAIR_NOHAT")
        owner.AnimState:Show("HAIR")
		if inst.components.fueled then
			inst.components.fueled:StopConsuming()
		end
        if owner:HasTag("player") then
            owner.AnimState:Show("HEAD")
            owner.AnimState:Hide("HEAD_HAIR")
			
		if IsDLCEnabled(CAPY_DLC) then				
			if owner.components.farseer then
					owner.components.farseer:RemoveBonus("hat_alphonse")
				end
			end
        end
    end

    local inst = CreateEntity()
    local trans = inst.entity:AddTransform()
    local anim = inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
	if IsDLCEnabled(CAPY_DLC) then
		-- Make floatable
		MakeInventoryFloatable(inst, "idle_water", "idle")
	end

	
    anim:SetBank("hat_alphonse")
    anim:SetBuild("hat_alphonse")
    anim:PlayAnimation("idle")

    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "hat_alphonse"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/hat_alphonse.xml"
    
    inst:AddComponent("equippable")
    inst.components.equippable.equipslot = EQUIPSLOTS.HEAD
    inst.components.equippable:SetOnEquip(OnEquip)
    inst.components.equippable:SetOnUnequip(OnUnequip)
	
	inst:AddComponent("dapperness")
	if IsDLCEnabled(REIGN_OF_GIANTS) or IsDLCEnabled(CAPY_DLC) then
		inst.components.equippable.dapperness = TUNING.DAPPERNESS_TINY
		inst:AddComponent("waterproofer")
		inst.components.waterproofer:SetEffectiveness(TUNING.WATERPROOFNESS_SMALLMED) --35%
	else --temp buff till i can figure out a better use for vanilla
		inst.components.dapperness.dapperness = TUNING.DAPPERNESS_SMALL
	end	
	
	inst:AddComponent("fueled")
    inst.components.fueled.fueltype = "USAGE"
    inst.components.fueled:InitializeFuelLevel(TUNING.TOPHAT_PERISHTIME) --8 days
    inst.components.fueled:SetDepletedFn(inst.Remove)
	
    return inst
end

return  Prefab("common/inventory/hat_alphonse", fn, assets, prefabs)