local assets=
{ 
    Asset("ANIM", "anim/hat_geddy.zip"),
    Asset("ANIM", "anim/hat_geddy_swap.zip"), 

    Asset("ATLAS", "images/inventoryimages/hat_geddy.xml"),
    Asset("IMAGE", "images/inventoryimages/hat_geddy.tex"),
}

local prefabs = 
{
}

local function fn()

    local function OnEquip(inst, owner) 
        owner.AnimState:OverrideSymbol("swap_hat", "hat_geddy_swap", "swap_hat")
		
		if inst.components.fueled then
			inst.components.fueled:StartConsuming()
		end		
        owner.AnimState:Show("HAT")
        owner.AnimState:Show("HAT_HAIR")
        owner.AnimState:Hide("HAIR_NOHAT")
        owner.AnimState:Hide("HAIR")
		

        if owner:HasTag("player") then
            owner.AnimState:Hide("HEAD")
            owner.AnimState:Show("HEAD_HAIR")
        end
    end

    local function OnUnequip(inst, owner) 
		if inst.components.fueled then
			inst.components.fueled:StopConsuming()
		end
        owner.AnimState:Hide("HAT")
        owner.AnimState:Hide("HAT_HAIR")
        owner.AnimState:Show("HAIR_NOHAT")
        owner.AnimState:Show("HAIR")

        if owner:HasTag("player") then
            owner.AnimState:Show("HEAD")
            owner.AnimState:Hide("HEAD_HAIR")
        end
    end

    local inst = CreateEntity()
    local trans = inst.entity:AddTransform()
    local anim = inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
	if IsDLCEnabled(CAPY_DLC) then
		-- Make floatable
		MakeInventoryFloatable(inst, "idle_water", "idle")
	end

	
    anim:SetBank("hat_geddy")
    anim:SetBuild("hat_geddy")
    anim:PlayAnimation("idle")

    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "hat_geddy"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/hat_geddy.xml"
    
    inst:AddComponent("equippable")
    inst.components.equippable.equipslot = EQUIPSLOTS.HEAD
    inst.components.equippable:SetOnEquip(OnEquip)
    inst.components.equippable:SetOnUnequip(OnUnequip)
	
	inst:AddComponent("dapperness")
	
	if IsDLCEnabled(REIGN_OF_GIANTS) or IsDLCEnabled(CAPY_DLC) then
		inst.components.equippable.dapperness = TUNING.DAPPERNESS_SMALL
		inst:AddComponent("waterproofer")
		inst.components.waterproofer:SetEffectiveness(TUNING.WATERPROOFNESS_SMALL) 
	else --vanilla
		inst.components.dapperness.dapperness = TUNING.DAPPERNESS_SMALL
	end
	
	inst:AddComponent("fueled")
    inst.components.fueled.fueltype = "USAGE"
    inst.components.fueled:InitializeFuelLevel(TUNING.EARMUFF_PERISHTIME) --5 days
    inst.components.fueled:SetDepletedFn(inst.Remove)

    return inst
end

return  Prefab("common/inventory/hat_geddy", fn, assets, prefabs)