local assets=
{ 
    Asset("ANIM", "anim/hat_twig.zip"),
    Asset("ANIM", "anim/hat_twig_swap.zip"), 

    Asset("ATLAS", "images/inventoryimages/hat_twig.xml"),
    Asset("IMAGE", "images/inventoryimages/hat_twig.tex"),
}

local prefabs = 
{
}

local function fn()

    local function OnEquip(inst, owner) 
        owner.AnimState:OverrideSymbol("swap_hat", "hat_twig_swap", "swap_hat")
		
		if inst.components.fueled then
			inst.components.fueled:StartConsuming()
		end		
		owner:AddTag("monster")	--doesn't work in vanilla :(	

        owner.AnimState:Show("HAT")
	    owner.AnimState:Hide("HAIR_HAT")
        owner.AnimState:Hide("HAT_HAIR")
        owner.AnimState:Hide("HAIR_NOHAT")
        owner.AnimState:Hide("HAIR")
		
        if owner:HasTag("player") then
            owner.AnimState:Hide("HEAD")
			owner.AnimState:Hide("HAIR_HAT")
			owner.AnimState:Hide("HEAD_HAIR")
        end
    end

    local function OnUnequip(inst, owner) 
		if inst.components.fueled then
			inst.components.fueled:StopConsuming()
		end
        owner:RemoveTag("monster")
        owner.AnimState:Hide("HAT")
       owner.AnimState:Show("HAIR_HAT")
        owner.AnimState:Hide("HAT_HAIR")
        owner.AnimState:Show("HAIR_NOHAT")
        owner.AnimState:Show("HAIR")

        if owner:HasTag("player") then
            owner.AnimState:Show("HEAD")
            owner.AnimState:Hide("HEAD_HAIR")
        end
    end

    local inst = CreateEntity()
    local trans = inst.entity:AddTransform()
    local anim = inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
	if IsDLCEnabled(CAPY_DLC) then
		-- Make floatable
		MakeInventoryFloatable(inst, "idle_water", "idle")
	end

    anim:SetBank("hat_twig")
    anim:SetBuild("hat_twig")
    anim:PlayAnimation("idle")

    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "hat_twig"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/hat_twig.xml"
    
    inst:AddComponent("equippable")
    inst.components.equippable.equipslot = EQUIPSLOTS.HEAD
    inst.components.equippable:SetOnEquip(OnEquip)
    inst.components.equippable:SetOnUnequip(OnUnequip)
	
	inst:AddComponent("dapperness")	
    inst:AddComponent("insulator")
	if IsDLCEnabled(REIGN_OF_GIANTS) or IsDLCEnabled(CAPY_DLC) then	
		inst.components.equippable.dapperness = TUNING.DAPPERNESS_TINY
		inst.components.insulator:SetInsulation(TUNING.INSULATION_MED)
     else --temp buffs till i can figure out how to get spiders neutral in vanilla
	 	inst.components.dapperness.dapperness = TUNING.DAPPERNESS_SMALL
		inst.components.insulator.insulation = TUNING.INSULATION_LARGE/1.5 --5.33 or something idk
	 end
	inst:AddComponent("fueled")
    inst.components.fueled.fueltype = "USAGE"
    inst.components.fueled:InitializeFuelLevel(TUNING.BEEFALOHAT_PERISHTIME) --10 days
    inst.components.fueled:SetDepletedFn(inst.Remove)

    return inst
end

return  Prefab("common/inventory/hat_twig", fn, assets, prefabs)