
local MakePlayerCharacter = require "prefabs/player_common"


local assets = {

        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/wilson.fsb" ),
        Asset( "ANIM", "anim/beard.zip" ),
        Asset( "ANIM", "anim/otus.zip" ),
}
local prefabs = {
	"teleporter",
	"owlcloak",
}

-- Custom starting items
local start_inv = {
	"teleporter",
	"owlcloak",
}
local function hungercheck(inst)
	local hungercurr = inst.components.hunger.current
	
	if hungercurr >= 100 then
        inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 1.3)
        inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 1.3)
    elseif hungercurr >= 90 then
        inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 1.1)
        inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 1.1)
	elseif hungercurr >= 70 then
        inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 1.0)
        inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 1.0)
	elseif hungercurr >= 50 then
        inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 0.9)
        inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 0.9)	
 	elseif hungercurr >= 30 then
        inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 0.8)
        inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 0.8)	
	else
        inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 0.7)
        inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 0.7)
    end
end
local fn = function(inst)
	-- choose which sounds this character will play
	inst.soundsname = "otus"
	inst.components.talker.Say = function() end --prevents otus from talking

	-- Minimap icon
	inst.MiniMapEntity:SetIcon( "otus.tex" )
	
	-- Stats	
	inst.components.health:SetMaxHealth(130)
	inst.components.hunger:SetMax(130)
	inst.components.sanity:SetMax(175)
	
	-- Damage multiplier (optional)
    inst.components.combat.damagemultiplier = .75
	-- Hunger rate (optional)
	inst.components.hunger.hungerrate = 1 * TUNING.WILSON_HUNGER_RATE
	-- Movement speed (default)
    local WalkSpeed = (TUNING.WILSON_WALK_SPEED * 1)
    local RunSpeed = (TUNING.WILSON_RUN_SPEED * 1)

    inst:ListenForEvent("hungerdelta", hungercheck)
	
	--CRAFTING RECIPES--
	--Geddy's Hat
   local hat_geddy_recipe=Recipe("hat_geddy", {Ingredient("cutgrass", 5), Ingredient("goldnugget", 1)}, RECIPETABS.DRESS, TECH.NONE)
    hat_geddy_recipe.atlas= "images/inventoryimages/hat_geddy.xml"
    hat_geddy_recipe.image = "hat_geddy.tex"	
	STRINGS.RECIPE_DESC.HAT_GEDDY= "A hat for bros."
	
	--Alphonse's Hat
   local hat_alphonse_recipe = Recipe("hat_alphonse", {Ingredient("strawhat", 1), Ingredient("gears", 2)}, RECIPETABS.DRESS, TECH.NONE)
	hat_alphonse_recipe.atlas = "images/inventoryimages/hat_alphonse.xml"
    hat_alphonse_recipe.image = "hat_alphonse.tex"	
	STRINGS.RECIPE_DESC.HAT_ALPHONSE= "For high flying adventurers only!"
	
	--Twig's Hat
   local hat_twig_recipe = Recipe("hat_twig", {Ingredient("silk", 10), Ingredient("houndstooth", 2)}, RECIPETABS.DRESS, TECH.NONE)
	hat_twig_recipe.atlas = "images/inventoryimages/hat_twig.xml"
    hat_twig_recipe.image = "hat_twig.tex"	
	STRINGS.RECIPE_DESC.HAT_TWIG= "A knit cap for a bona fide spider."

	--Spectre Cloak
   local spectrecloak_recipe = Recipe("spectrecloak", {Ingredient("owlcloak", 1,"images/inventoryimages/owlcloak.xml"), Ingredient("silk", 5), Ingredient("nightmarefuel", 5)}, RECIPETABS.MAGIC, TECH.MAGIC_TWO)
	spectrecloak_recipe.atlas = "images/inventoryimages/spectrecloak.xml"
    spectrecloak_recipe.image = "spectrecloak.tex"	
	STRINGS.RECIPE_DESC.SPECTRECLOAK= "The mark of a true owl!"

end

return MakePlayerCharacter("otus", prefabs, assets, fn, start_inv)
