local assets =
{
    Asset("ATLAS", "images/inventoryimages/owlcloak.xml"),
    Asset("ANIM", "anim/owlcloak.zip"),
}
local prefabs = 
{
}
local function onequip(inst, owner)
    owner.AnimState:OverrideSymbol("swap_body", "owlcloak", "swap_body")
end

local function onunequip(inst, owner)
    owner.AnimState:ClearOverrideSymbol("swap_body")
end

local function fn()
    local inst = CreateEntity()
    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)

    if IsDLCEnabled(CAPY_DLC) then
        MakeInventoryFloatable(inst, "idle_water", "idle")
    end

    inst.AnimState:SetBank("owlcloak")
    inst.AnimState:SetBuild("owlcloak")
    inst.AnimState:PlayAnimation("idle")
	
	local minimap = inst.entity:AddMiniMapEntity()
	minimap:SetIcon("owlcloak.tex")

    inst:AddComponent("inspectable")

    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.atlasname = "images/inventoryimages/owlcloak.xml"

    inst:AddComponent("equippable")
    inst.components.equippable.equipslot = EQUIPSLOTS.BODY
    inst.components.equippable:SetOnEquip(onequip)
    inst.components.equippable:SetOnUnequip(onunequip)
	
    inst.components.equippable.walkspeedmult = TUNING.CANE_SPEED_MULT*.92 --15%

    return inst
end

return Prefab( "common/inventory/owlcloak", fn, assets, prefabs) 
