local assets =
{
    Asset("ATLAS", "images/inventoryimages/spectrecloak.xml"),
    Asset("ANIM", "anim/spectrecloak.zip"),
}

local prefabs = {
	"owlcloak",
}
local function SpawnCloak(inst)
	local player_pos = GetPlayer():GetPosition()
	local owlcloak = SpawnPrefab('owlcloak')
	owlcloak.Transform:SetPosition(player_pos.x, player_pos.y, player_pos.z)
	--play some sound here probably
    inst.SoundEmitter:PlaySound("dontstarve/common/gem_shatter")
	
end
local function OnTakeDamage(inst, damage_amount, absorbed, leftover)
	local owner = inst.components.inventoryitem.owner
	if owner then
		local sanity = owner.components.sanity
		if sanity then
			local unsaneness = damage_amount * (TUNING.ARMOR_SANITY_DMG_AS_SANITY*1.5)
			sanity:DoDelta(-unsaneness, false)
		end
	end
end
local function onequip(inst, owner)
    owner.AnimState:OverrideSymbol("swap_body", "spectrecloak", "swap_body")
end

local function onunequip(inst, owner)
    owner.AnimState:ClearOverrideSymbol("swap_body")
end

local function fn()
    local inst = CreateEntity()
    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    local sound = inst.entity:AddSoundEmitter()
	
    MakeInventoryPhysics(inst)

    if IsDLCEnabled(CAPY_DLC) then
        MakeInventoryFloatable(inst, "idle_water", "idle")
    end

    inst.AnimState:SetBank("spectrecloak")
    inst.AnimState:SetBuild("spectrecloak")
    inst.AnimState:PlayAnimation("idle")
	
	local minimap = inst.entity:AddMiniMapEntity()
	minimap:SetIcon("spectrecloak.tex")

    inst:AddComponent("inspectable")

    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.atlasname = "images/inventoryimages/spectrecloak.xml"
    inst.components.inventoryitem.foleysound = "dontstarve/movement/foley/nightarmour"


    inst:AddComponent("equippable")
    inst.components.equippable.equipslot = EQUIPSLOTS.BODY
    inst.components.equippable:SetOnEquip(onequip)
    inst.components.equippable:SetOnUnequip(onunequip)
	
    inst.components.equippable.walkspeedmult = TUNING.CANE_SPEED_MULT*1.08 --35%
	
    inst:AddComponent("dapperness")
	if IsDLCEnabled(REIGN_OF_GIANTS) or IsDLCEnabled(CAPY_DLC) then	
		inst.components.equippable.dapperness = -(TUNING.DAPPERNESS_MED)
	else
		inst.components.dapperness.dapperness = -(TUNING.DAPPERNESS_MED)
	end
	
	inst:AddComponent("armor")
    inst.components.armor:InitCondition(TUNING.ARMORWOOD*1.5, TUNING.ARMOR_SANITY_ABSORPTION) --675HP, absorb 95% damage
	inst.components.armor.ontakedamage = OnTakeDamage --decrease sanity by 15% of total damage taken

	inst.components.armor.onfinished = function() SpawnCloak(inst) end	--spawn owlcloak at player's feet when finished
    
    return inst
end

return Prefab( "common/inventory/spectrecloak", fn, assets, prefabs) 
