local assets=
{ 
    Asset("ANIM", "anim/teleporter.zip"),
    Asset("ANIM", "anim/swap_teleporter.zip"), 

    Asset("ATLAS", "images/inventoryimages/teleporter.xml"),
    Asset("IMAGE", "images/inventoryimages/teleporter.tex"),
}

local prefabs = 
{
}
local function onblink(staff, pos, caster)

    if caster.components.sanity then
        caster.components.sanity:DoDelta(-TUNING.SANITY_MED)
    end

end

local function fn(colour)

    local function OnEquip(inst, owner) 
        owner.AnimState:OverrideSymbol("swap_object", "swap_teleporter", "teleporter")
        owner.AnimState:Show("ARM_carry") 
        owner.AnimState:Hide("ARM_normal") 
    end

    local function OnUnequip(inst, owner) 
        owner.AnimState:Hide("ARM_carry") 
        owner.AnimState:Show("ARM_normal") 
    end

    local inst = CreateEntity()
    local trans = inst.entity:AddTransform()
    local anim = inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
	
    	-- Check if Shipwrecked is enabled
	if IsDLCEnabled(CAPY_DLC) then
		-- Make floatable
		MakeInventoryFloatable(inst, "idle_water", "idle")
	end
	
    anim:SetBank("teleporter")
    anim:SetBuild("teleporter")
    anim:PlayAnimation("idle")
	
	local minimap = inst.entity:AddMiniMapEntity()
	minimap:SetIcon( "teleporter.tex" )
 
	inst.MiniMapEntity:SetIcon( "teleporter.tex" )
	
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "teleporter"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/teleporter.xml"
    
    inst:AddComponent("equippable")
    inst.components.equippable:SetOnEquip( OnEquip )
    inst.components.equippable:SetOnUnequip( OnUnequip )
	
    inst.fxcolour = {1, 145/255, 0}
    inst.castsound = "dontstarve/common/staffteleport"
	
    inst:AddComponent("blinkstaff")
    inst.components.blinkstaff.onblinkfn = onblink
    
    inst:AddComponent("reticule")
    inst.components.reticule.targetfn = function() 
        return inst.components.blinkstaff:GetBlinkPoint()
    end
    inst.components.reticule.ease = true

    inst:AddTag("nopunch")
    return inst
end

return  Prefab("common/inventory/teleporter", fn, assets, prefabs)